import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconRainy as IconRainyClass } from "../../../../components/icon/icons/rainy.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconRainy = (props) => {
  IconRainyClass.define();
  const JSXElement = getReactComponent("gds-icon-rainy");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconRainy.displayName = "IconRainy";
export {
  IconRainy
};
